import 'package:em2rp/providers/user_provider.dart';
import 'package:em2rp/views/widgets/nav/main_drawer.dart';
import 'package:flutter/material.dart';
import 'package:provider/provider.dart';

class MyAccountPage extends StatelessWidget {
  const MyAccountPage({super.key});

  @override
  Widget build(BuildContext context) {
    final userProvider = Provider.of<UserProvider>(context);

    return Scaffold(
      appBar: AppBar(title: const Text('Mon Compte')),
      drawer:
          MainDrawer(currentPage: '/my_account', userProvider: userProvider),
      body: const Center(
        child: Text('Page Mon Compte', style: TextStyle(fontSize: 24)),
      ),
    );
  }
}
